---
url: "https://vueda.dev/v3/reference/api/py/vueda.core.pagination/VUEDAPageNumberPagination.md"
title: "VUEDAPageNumberPagination"
---

# VUEDAPageNumberPagination

## Overview

Adds support for pagination metadata including column totals.

The class also overrides the default pagination query parameters so they
can be customized via settings.

## `get_page_size` {#get_page_size}

### Signature {#get_page_size-signature}

`get_page_size(self, request)`

#### Parameters {#get_page_size-parameters}

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| self |  | yes |  |  |
| <span id="get_page_size-param-request">request</span> |  | yes |  |  |

### Source {#get_page_size-source}

`server/vueda/core/pagination.py:81`

## `get_paginated_response` {#get_paginated_response}

### Signature {#get_paginated_response-signature}

`get_paginated_response(self, data)`

#### Parameters {#get_paginated_response-parameters}

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| self |  | yes |  |  |
| <span id="get_paginated_response-param-data">data</span> |  | yes |  |  |

### Source {#get_paginated_response-source}

`server/vueda/core/pagination.py:24`

## `get_paginated_response_schema` {#get_paginated_response_schema}

### Signature {#get_paginated_response_schema-signature}

`get_paginated_response_schema(self, schema)`

#### Parameters {#get_paginated_response_schema-parameters}

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| self |  | yes |  |  |
| <span id="get_paginated_response_schema-param-schema">schema</span> |  | yes |  |  |

### Source {#get_paginated_response_schema-source}

`server/vueda/core/pagination.py:35`

## `max_page_size` {#max_page_size}

## `page_query_param` {#page_query_param}

## `page_size` {#page_size}

## `page_size_query_param` {#page_size_query_param}

## Source

`server/vueda/core/pagination.py:11`
